Subject: Re: [v6ops] IETF meeting with IPv6 routes over IPv4?

From: [email-masked]
Date: Tue, 1 Nov 2016 10:00:00 +0100

> I really don't remember which meeting it was, but I attended both IETF84 and IETF88, so I might have heard it at one of those meetings.
> 
> If you have any ability to find out more about their justification, that would be interesting. I'll try myself through my own contacts.  For now, the draft just says that sometimes one needs to do this.

There are transition mechanisms that use BGP to exchange the tunnel endpoints. Examples are 6PE, BGP tunnels (6rd, 6to4), and there might be more.
Then of course there are some people who do it as an operational choice. Stick with a single BGP session for both address families.

Ole

> 
> On 2016-10-30, at 8:04 , Warren Kumari wrote:
> 
>> On Mon, Oct 24, 2016 at 10:52 PM, Philip Matthews
>> <[email-masked]> wrote:
>>> I have a memory that there was an IETF meeting some years ago where the IPv6 connectivity used BGP sessions where the IPv6 routes were carried over an BGP session that ran over IPv4 transport.  Does anyone remember which meeting that was, and why this was done?  We are updating the BGP section in the Design Choices draft and are considering mentioning this.
>>> 
>> 
>> You are probably thinking of IETF81, IETF84 or IETF88.
>> 
>> For some reason Telus (who very kindly donate circuits) like to
>> provide a single BGP peering, and carry both IPv4 and IPv6 over it.
>> 
>> I cannot remember the justification, but I'll try find more / grab the
>> archived configs where we rewrite the next hop...
>> 
>> W
>> 
>> 
>> 
>>> -Philip
>>> _______________________________________________
>>> v6ops mailing list
>>> [email-masked]
>>> https://www.ietf.org/mailman/listinfo/v6ops
>> 
>> 
>> 
>> -- 
>> I don't think the execution is relevant when it was obviously a bad
>> idea in the first place.
>> This is like putting rabid weasels in your pants, and later expressing
>> regret at having chosen those particular rabid weasels and that pair
>> of pants.
>>  ---maf
>> 
> 
> _______________________________________________
> v6ops mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/v6ops